<template>
  <div>
    <h1>Password Manager</h1>
    <h2>Login</h2>

    <form @submit.prevent="login">
      <input type="text" id="username" placeholder="Username" v-model="username">
      <input type="password" id="password" placeholder="Password" v-model="password">
      <div class="card">
        <button @click="login" type="submit" id="loginButton">Login</button>
      </div>
    </form>

    <p>
      <router-link to="/reset-password">Forgot Password?</router-link>
    </p>


    <p style="color:#ffffff;">
      Don't have an account?
      <router-link to="/register">Register Account</router-link>
    </p>

    <div id="result" style="color: red;">{{ loginResult }}</div>
  </div>
</template>

<script setup>
import { ref } from 'vue';
import router from "../router/router.js";

const username = ref('');
const password = ref('');
const loginResult = ref('');

const login = async () => {
  const formData = {
    username: username.value,
    password: password.value
  };

  try {
    const response = await fetch("http://localhost:8080/api/login", {
      method: "POST",
      headers: {
        "Content-Type": "application/json"
      },
      body: JSON.stringify(formData)
    });

    loginResult.value = await response.text();
    if(loginResult.value === "Login Successful!") {
      await router.push('/credentials/retrieve');
    }
  } catch (error) {
    loginResult.value = "An error occurred." + error;
    console.error("Error:", error);
  }
};
</script>